Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.yaml.snakeyaml.tokens
Enum Token.ID

    java.lang.Object
      java.lang.Enum<Token.ID>
          org.yaml.snakeyaml.tokens.Token.ID

All Implemented Interfaces:
  Serializable, Comparable<Token.ID>

Enclosing class:
  Token

    public static enum Token.ID

extends Enum<Token.ID>

Enum Constant Summary
`Alias`
`Anchor`
`BlockEnd`
`BlockEntry`
`BlockMappingStart`
`BlockSequenceStart`
`Directive`
`DocumentEnd`
`DocumentStart`
`FlowEntry`
`FlowMappingEnd`
`FlowMappingStart`
`FlowSequenceEnd`
`FlowSequenceStart`
`Key`
`Scalar`
`StreamEnd`
`StreamStart`
`Tag`
`Value`

Method Summary
`static Token.ID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Token.ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Alias

    public static final Token.ID Alias

### Anchor

    public static final Token.ID Anchor

### BlockEnd

    public static final Token.ID BlockEnd

### BlockEntry

    public static final Token.ID BlockEntry

### BlockMappingStart

    public static final Token.ID BlockMappingStart

### BlockSequenceStart

    public static final Token.ID BlockSequenceStart

### Directive

    public static final Token.ID Directive

### DocumentEnd

    public static final Token.ID DocumentEnd

### DocumentStart

    public static final Token.ID DocumentStart

### FlowEntry

    public static final Token.ID FlowEntry

### FlowMappingEnd

    public static final Token.ID FlowMappingEnd

### FlowMappingStart

    public static final Token.ID FlowMappingStart

### FlowSequenceEnd

    public static final Token.ID FlowSequenceEnd

### FlowSequenceStart

    public static final Token.ID FlowSequenceStart

### Key

    public static final Token.ID Key

### Scalar

    public static final Token.ID Scalar

### StreamEnd

    public static final Token.ID StreamEnd

### StreamStart

    public static final Token.ID StreamStart

### Tag

    public static final Token.ID Tag

### Value

    public static final Token.ID Value

Method Detail

### values

    public static final Token.ID[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Token.ID c : Token.ID.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Token.ID valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2011. All Rights Reserved.